import pygame, random, mmEnemy, mmFragment, mmCheckpoint

class Scene:
	def __init__(self, file):
		self.start_code = ""
		self.update_code = ""
		self.enemy_code = ""
		self.flag_code = ""
		self.voice = ""
		self.end = False
		self.last_time = pygame.time.get_ticks()
		self.loadScene(file)
		self.start()	
		
	def loadScene(self, filename):
		f = open(filename, "r")
		mode = 0
		for line in f:
			if "START" in line:
				mode = 0
				continue
			if "UPDATE" in line:
				mode = 1
				continue
			if "ONENEMYDIE" in line:
				mode = 2
				continue
			if "ONFLAG" in line:
				mode = 3
				continue
			if "END" in line:
				mode = -1
				continue
				
			if mode == 0:
				self.start_code += line					
			if mode == 1:
				self.update_code += line
			if mode == 2:
				self.enemy_code += line
			if mode == 3:
				self.flag_code += line
				
		f.close()
			
	def start(self):
		exec(self.start_code)		
	def update(self, shaking, player_pos, isdead):
		if not self.end:
			exec(self.update_code)
	def onEnemyDie(self, id):
		exec(self.enemy_code)
	def onFlag(self, id, num):
		exec(self.flag_code)