import pygame

flags = []
img_flags = []

class Checkpoint:
	def __init__(self, pos, num, img, id):
		self.target = pos
		self.id = id
		self.img = img
		self.num = num
		self.rect = self.img.get_rect()
		self.rect.x = pos[0]
		self.rect.y = 0
		self.state = 0
		self.last_time = pygame.time.get_ticks()
	def update(self, player_pos):
		delta = pygame.time.get_ticks() - self.last_time
		
		if self.state == 1:
			if abs(player_pos[0] - self.rect.x) < 64+32 and (player_pos[1] - self.rect.y) < 160+16 and (player_pos[1] - self.rect.y+32) > 0:
				return True
	
		if self.state == 0:
			self.rect.y += 1.8*delta
			if self.rect.y >= self.target[1]:
				self.rect.y = self.target[1]
				self.state = 1
				
		self.last_time = pygame.time.get_ticks()
		return False
	def predraw(self):
		return (self.rect.x-(self.rect.w/2), self.rect.y-(self.rect.h/2), self.rect.w, self.rect.h)
	def draw(self):
		pygame.display.get_surface().blit(self.img, (self.rect.x-(self.rect.w/2), self.rect.y-(self.rect.h/2)))
		